test_that("Identical default values as version 1.0", {

s.num <- 1000  # number susceptible
i.num <- 15  # number infected 
q.num <- 5  # number in self-isolation
h.num <- 1  # number in the hospital
nsteps <- 90 # number of steps (e.g. days) to simulate
full_params <- set_param(s.num = s.num, i.num = i.num, q.num = q.num, h.num = h.num, nsteps = nsteps)


#### check control 
control1 <- full_params$control
control2 <- control_seiqhrf(nsteps = nsteps)

#### check param 
param1 <- full_params$param
param2 <- param_seiqhrf()

expect_equal(identical(control1, control2), TRUE)
expect_equal(identical(param1, param2), TRUE)
})